%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

Name:           python-polygon
Version:        2.0.3
Release:        1%{?dist}
Summary:        Handling of polygonal shapes in 2D

Group:          Development/Languages
# mail send to author, what version of LGPL and to add a LICENSE file
License:        LGPL
#see: http://pypi.python.org/pypi/Polygon/2.0.3
URL:            http://polygon.origo.ethz.ch/
Source0:        http://download.origo.ethz.ch/polygon/2101/Polygon-%{version}.zip

BuildRequires:  python-devel

# fpc ticket: https://fedorahosted.org/fpc/ticket/74
#Provides: bundled(gpc) = 2.32

%description
Polygon is a python package that handles polygons in 2D. It contains 
Python bindings for gpc, the excellent General Polygon Clipping Library by 
Alan Murta and some extensions written in C and pure Python. With Polygon you 
may handle complex polygonal areas in Python in a very intuitive way. Polygons 
are simple Python objects, clipping operations are bound to standard operators 
like +, -, \|, & and ^. TriStrips can be constructed from Polygons with a 
single statement. Functions to compute the area, center point, convex hull and 
much more are included.

%prep
%setup -q -n Polygon-%{version}


%build
CFLAGS="%{optflags}" %{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%files
%defattr(-,root,root,-)
%doc HISTORY doc/*
%{python_sitearch}/Polygon
%{python_sitearch}/Polygon-%{version}-py?.?.egg-info


%changelog
* Mon Mar 21 2011 Thomas Spura <tomspur@fedoraproject.org> - 2.0.3-1
- initial package
